STOFFField Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
STOFFField Struct Reference

a field More...

`#include <libstaroffice_internal.hxx>`

## Public Types
enum | Type { None, PageCount, PageNumber, Date, Time, Title, Database }
| Defines some basic type for field. More...

## Public Member Functions
| STOFFField (Type type)
| basic constructor More...
bool | addTo (librevenge::RVNGPropertyList &propList) const
| add the link property to proplist (if possible) More...
librevenge::RVNGString | getString () const
| returns a string corresponding to the field (if possible) */ More...

## Public Attributes
Type | m_type
| the type More...
std::string | m_DTFormat
| the date/time format using strftime format if defined More...
libstoff::NumberingType | m_numberingType
| the number type ( for number field ) More...
std::string | m_data
| the database/link field ( if defined ) More...

## Detailed Description

a field

## Member Enumeration Documentation

enum STOFFField::Type

Defines some basic type for field.

Enumerator
None |
PageCount |
PageNumber |
Date |
Time |
Title |
Database |

## Constructor & Destructor Documentation

STOFFField::STOFFField | ( | Type | type | ) |
| inlineexplicit

basic constructor

## Member Function Documentation

bool STOFFField::addTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add the link property to proplist (if possible)

Referenced by STOFFGraphicListener::insertField(), and STOFFSpreadsheetListener::insertField().

librevenge::RVNGString STOFFField::getString | ( |  | ) | const

returns a string corresponding to the field (if possible) */

Referenced by STOFFGraphicListener::insertField(), and STOFFSpreadsheetListener::insertField().

## Member Data Documentation

std::string STOFFField::m_data

the database/link field ( if defined )

std::string STOFFField::m_DTFormat

the date/time format using strftime format if defined

libstoff::NumberingType STOFFField::m_numberingType

the number type ( for number field )

Type STOFFField::m_type

the type

Referenced by STOFFGraphicListener::insertField(), and STOFFSpreadsheetListener::insertField().

The documentation for this struct was generated from the following files:

- libstaroffice_internal.hxx
- libstaroffice_internal.cxx